%{?nodejs_find_provides_and_requires}

Name:           nodejs-grunt-legacy-log
Version:        0.1.3
Release:        %mkrel 2
Summary:        The Grunt 0.4.x logger
Group:        Development/Other

License:        MIT
URL:            https://github.com/gruntjs/grunt-legacy-log
Source0:        https://registry.npmjs.org/grunt-legacy-log/-/grunt-legacy-log-%{version}.tgz
BuildArch:      noarch

ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(nodeunit)
BuildRequires:  npm(colors)
BuildRequires:  npm(grunt-legacy-log-utils)
BuildRequires:  npm(hooker)
BuildRequires:  npm(lodash)
BuildRequires:  npm(underscore.string)


%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep colors "^1.1.2"
%nodejs_fixdep lodash "^3.10.1"
%nodejs_fixdep underscore.string "^2.3.1"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-log
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/grunt-legacy-log
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/index.js


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-log



%changelog
* Wed May 18 2016 neoclust <neoclust> 0.1.3-2.mga6
+ Revision: 1016771
- imported package nodejs-grunt-legacy-log

